[youtubei.js](../../../README.md) / [Utils](../README.md) / getStringBetweenStrings

# Function: getStringBetweenStrings()

> **getStringBetweenStrings**(`data`, `start_string`, `end_string`): `string` \| `undefined`

Finds a string between two delimiters.

## Parameters

• **data**: `string`

the data.

• **start\_string**: `string`

start string.

• **end\_string**: `string`

end string.

## Returns

`string` \| `undefined`

## Defined in

[src/utils/Utils.ts:71](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/utils/Utils.ts#L71)
